REST Documentation

View InboundXML Docs

List Transcriptions

There are two types of transcription lists that can be returned: a lists of every transcription associated with an account by using the first Request URI below, or a list of only transcriptions associated with a given RecordingSid by using the second Request URI below.

Request URI

A single notification resource can be viewed using the HTTP GET method. The format of the URI used to make the GET request is below.

GET https://api.telapi.com/v1/Accounts/{AccountSid}/Transcriptions/ GET https://api.telapi.com/v1/Accounts/{AccountSid}/{RecordingSid}/Transcriptions

Parameters

The following case-sensitive parameter can be used to specify what will be returned in your list request.

Parameter Description
optional
Used to only return transcriptions with a given status.
Allowed Value:
completed, in-progress, or failed
optional
Lists all transcriptions created on or after a certain date. Date range can be specified using inequalities like so: DateSent>=YYYY-MM-DD or DateSent<=YYYY-MM-DD
Allowed Value:
date in the following format: YYYY-MM-DD
optional
Used to return a particular page within the list.
Allowed Value:
integer greater than 0
optional
Used to specify the amount of list items to return per page.
Allowed Value:
integer greater than 0

Example Response

An example of what a response to a list recording request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.